{
  pkgs,
  inputs,
  overlays ? [ ],
  ...
}:
{
  imports = [
    ./modules/nix.nix
    ./modules/user.nix
    ./modules/mac
    ./modules/packages.nix
    ./modules/homebrew/default.nix
    "${inputs.self}/modules/home/discord/mac.nix"
  ];

  nixpkgs = {
    hostPlatform = "aarch64-darwin";
    overlays = overlays;
  };

  system.stateVersion = 5;
}
